###Creates new siteplanners for unoccupied sites adjacent to site newly constructed to the east###
execute if entity @s[tag=nitSiteEast] run fill ~ ~ ~-7 ~15 ~-6 ~7 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 20 ~ nether_bricks"} replace minecraft:acacia_planks
execute if entity @s[tag=nitSiteEast] if block ~23 ~-2 ~ minecraft:bedrock run tag @s add nitSiteExistsEast
execute if entity @s[tag=nitSiteEast] if block ~25 ~-2 ~ minecraft:bedrock run tag @s add nitSiteExistsEast
execute if entity @s[tag=nitSiteEast] if block ~8 ~-2 ~-15 minecraft:bedrock run tag @s add nitSiteExistsNorth
execute if entity @s[tag=nitSiteEast] if block ~10 ~-2 ~-15 minecraft:bedrock run tag @s add nitSiteExistsNorth
execute if entity @s[tag=nitSiteEast] if block ~8 ~-2 ~15 minecraft:bedrock run tag @s add nitSiteExistsSouth
execute if entity @s[tag=nitSiteEast] if block ~10 ~-2 ~15 minecraft:bedrock run tag @s add nitSiteExistsSouth
execute if entity @s[tag=nitSiteEast] run function nitco:siteplanner/keep/newkeep_e

###Creates new siteplanners for unoccupied sites adjacent to site newly constructed to the west###
execute if entity @s[tag=nitSiteWest] run fill ~ ~ ~-7 ~-15 ~-6 ~7 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 20 ~ nether_bricks"} replace minecraft:acacia_planks
execute if entity @s[tag=nitSiteWest] if block ~-23 ~-2 ~ minecraft:bedrock run tag @s add nitSiteExistsWest
execute if entity @s[tag=nitSiteWest] if block ~-25 ~-2 ~ minecraft:bedrock run tag @s add nitSiteExistsWest
execute if entity @s[tag=nitSiteWest] if block ~-8 ~-2 ~-15 minecraft:bedrock run tag @s add nitSiteExistsNorth
execute if entity @s[tag=nitSiteWest] if block ~-10 ~-2 ~-15 minecraft:bedrock run tag @s add nitSiteExistsNorth
execute if entity @s[tag=nitSiteWest] if block ~-8 ~-2 ~15 minecraft:bedrock run tag @s add nitSiteExistsSouth
execute if entity @s[tag=nitSiteWest] if block ~-10 ~-2 ~15 minecraft:bedrock run tag @s add nitSiteExistsSouth
execute if entity @s[tag=nitSiteWest] run function nitco:siteplanner/keep/newkeep_w

###Creates new siteplanners for unoccupied sites adjacent to site newly constructed to the north###
execute if entity @s[tag=nitSiteNorth] run fill ~-7 ~ ~ ~7 ~-6 ~-15 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 20 ~ nether_bricks"} replace minecraft:acacia_planks
execute if entity @s[tag=nitSiteNorth] if block ~ ~-2 ~-23 minecraft:bedrock run tag @s add nitSiteExistsNorth
execute if entity @s[tag=nitSiteNorth] if block ~ ~-2 ~-25 minecraft:bedrock run tag @s add nitSiteExistsNorth
execute if entity @s[tag=nitSiteNorth] if block ~15 ~-2 ~-8 minecraft:bedrock run tag @s add nitSiteExistsEast
execute if entity @s[tag=nitSiteNorth] if block ~15 ~-2 ~-10 minecraft:bedrock run tag @s add nitSiteExistsEast
execute if entity @s[tag=nitSiteNorth] if block ~-15 ~-2 ~-8 minecraft:bedrock run tag @s add nitSiteExistsWest
execute if entity @s[tag=nitSiteNorth] if block ~-15 ~-2 ~-10 minecraft:bedrock run tag @s add nitSiteExistsWest
execute if entity @s[tag=nitSiteNorth] run function nitco:siteplanner/keep/newkeep_n

###Creates new siteplanners for unoccupied sites adjacent to site newly constructed to the south###
execute if entity @s[tag=nitSiteSouth] run fill ~-7 ~ ~ ~7 ~-6 ~15 minecraft:repeating_command_block{auto:1,Command:"fill ~ ~ ~ ~ 20 ~ nether_bricks"} replace minecraft:acacia_planks
execute if entity @s[tag=nitSiteSouth] if block ~ ~-2 ~23 minecraft:bedrock run tag @s add nitSiteExistsSouth
execute if entity @s[tag=nitSiteSouth] if block ~ ~-2 ~25 minecraft:bedrock run tag @s add nitSiteExistsSouth
execute if entity @s[tag=nitSiteSouth] if block ~15 ~-2 ~8 minecraft:bedrock run tag @s add nitSiteExistsEast
execute if entity @s[tag=nitSiteSouth] if block ~15 ~-2 ~10 minecraft:bedrock run tag @s add nitSiteExistsEast
execute if entity @s[tag=nitSiteSouth] if block ~-15 ~-2 ~8 minecraft:bedrock run tag @s add nitSiteExistsWest
execute if entity @s[tag=nitSiteSouth] if block ~-15 ~-2 ~10 minecraft:bedrock run tag @s add nitSiteExistsWest
execute if entity @s[tag=nitSiteSouth] run function nitco:siteplanner/keep/newkeep_s

###Establishes id matches for hell attack sites###
function nitk:id_match_war_planner

###Increases the Hell attack danger count, then performs matching attack###
execute as @e[tag=nitCSpecialFeature,tag=nitID_match] at @s run function nitco:hell_attack

###Increases siteplanning count on player for advancement purposes###
scoreboard players add @a[distance=..50,tag=nitDenizen] nitWarCraft 1
advancement grant @a[scores={nitWarCraft=1..}] only nitco:nitco/trawler_ship co-siteplanner-1
advancement grant @a[scores={nitWarCraft=5..}] only nitco:nitco/portal_factory co-siteplanner-5
advancement grant @a[scores={nitWarCraft=9..}] only nitco:nitco/ancient_drill co-siteplanner-9

###Creates text prompts to guide player to the hidden features###
execute if entity @p[scores={nitWarCraft=1},distance=..50] run tellraw @a[distance=..50,tag=nitDenizen] [{"text":"[۩]","color":"green","bold":true},{"text":": ","color":"white","bold":false},{"text":"Your scouts have uncovered the trawler ship! Seek out the glowing skeletons!","color":"dark_red"}]
execute if entity @p[scores={nitWarCraft=5},distance=..50] run tellraw @a[distance=..50,tag=nitDenizen] [{"text":"[۩]","color":"green","bold":true},{"text":": ","color":"white","bold":false},{"text":"Your scouts have uncovered the portal factory! Look high for their glow!","color":"dark_red"}]
execute if entity @p[scores={nitWarCraft=9},distance=..50] run tellraw @a[distance=..50,tag=nitDenizen] [{"text":"[۩]","color":"green","bold":true},{"text":": ","color":"white","bold":false},{"text":"The ancient drill is discovered! Its defenders glow far below!","color":"dark_red"}]

###Cleanup###
tag @a add nitDenizen
tag @e[type=minecraft:villager,distance=..20] add nitDenizen
tag @e[type=minecraft:piglin,distance=..15] add nitDenizen
execute as @e[type=minecraft:piglin,tag=nitDenizen] run attribute @s minecraft:generic.movement_speed base set 0
execute at @s run data remove block ~ ~ ~ Items
execute at @s run fill ~ ~ ~ ~ ~2 ~ air
execute if entity @s[tag=nitSiteEast] run particle large_smoke ~7 ~2 ~ 3 2 3 0.3 200 force
execute if entity @s[tag=nitSiteWest] run particle large_smoke ~-7 ~2 ~ 3 2 3 0.3 200 force
execute if entity @s[tag=nitSiteNorth] run particle large_smoke ~ ~2 ~-7 3 2 3 0.3 200 force
execute if entity @s[tag=nitSiteSouth] run particle large_smoke ~ ~2 ~7 3 2 3 0.3 200 force
playsound minecraft:block.anvil.use block @a ~ ~ ~ 5 0.7
playsound minecraft:entity.villager.work_weaponsmith block @a ~ ~ ~ 5 0.5
playsound minecraft:block.respawn_anchor.set_spawn block @a ~ ~ ~ 5 1 1
playsound minecraft:block.fire.extinguish block @a ~ ~ ~ 5 1